support  EDI  version  Java